<!doctype html>
<html lang=fr>
	<?php											
		session_start();
		if (!isset($_SESSION['Autorisation']) or ($_SESSION['Autorisation'] != 1))
		{
		header("Location: index.php");
		exit();
		} 
	?>
	<head>
		<title>Ajout eval Situation pro</title>
		<meta charset=utf-8>
		<meta name=viewport content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="nogstyle.css">

	</head>
	<body>
		<header>
			<?php include('includes/header_simple.inc'); 
			echo'<h3>'.$_SESSION['PrenomAct'].' '.$_SESSION['NomAct'].'</h3>';
			include('includes/menu_prof.inc'); ?>
		</header>
		<article><!-- Start of the  page content. -->
			<h2>Evaluation au fil de l'eau des Situations Professionnelles</h2>

	
			<?php
				require ('connect/mysqli_connect.php'); // recup connection
				if (($_SERVER['REQUEST_METHOD'] == 'GET') and ( isset($_GET['id'])))
				{
					// On vient de la page prof_eval_liste
					
					if ($_GET['id']=="ajout")  // AJout EVAL
					{
						echo "<h3>Ajout d'une évaluation</h3>	";
						// Le formulaire est vide
						$id= $_GET['id'];
						$numEval=0;
						$nomEval ='';
						$epreuveEval='';
						$sessionEval='';
						$codeEtab='';
						
						
					}
					else	//Modif EVAL 	
					{
						echo'<h3>Modification</h3>	';

						// Select EVAL à MODIFIER
						$numEval = $_GET['id'];
						$id="modification";
						$q = "SELECT * FROM evaluation WHERE numEval= '$numEval';";	
						$result = mysqli_query ($dbcon, $q) or die ('erreur sql'.mysqli_error($dbcon));
						// Check the result:
						$r=@mysqli_num_rows($result);   // on compte le nombre de ligne (en théorie 1)
						if ($r == 1)
						{     //On récupère les valeurs du SELECT dans un tableau $row	 
							$row = mysqli_fetch_array ($result, MYSQLI_ASSOC);	

							$nomEval =$row['nomEval'];
							$epreuveEval=$row['epreuveEval'];
							$sessionEval=$row['sessionEval'];						
							$codeEtab=$row['codeEtab'];

						}
						else
						{
							echo 'erreur SQL PASWNORMAL';
						}
					}
				}	
				elseif ($_SERVER['REQUEST_METHOD'] == 'POST')
				{
					// A partir du Formulaire
					// Récup données rentrées ds le formulaire" mb_strtoupper
					$numEval = $_POST['numEval'];
					$nomEval =mb_strtoupper(mysqli_real_escape_string($dbcon, trim($_POST['nomEval'])));
					$epreuveEval=mysqli_real_escape_string($dbcon, trim($_POST['epreuveEval']));
					$sessionEval=mysqli_real_escape_string($dbcon, trim($_POST['sessionEval']));
					$id=$_POST['id'];
					$codeEtab=$_SESSION['CodeEtab'];
					$DateEnr=date("Y/m/d");
					

					// Vérif données
					$errors = array();
					
					// Le nom de l'éval ne doit pas être vide
					if (empty($nomEval))
					{
						$errors[] ='Le nom de l\'évaluation est vide';
					}
				
					if (!empty($errors))
					{
						// Display the errors
						echo '<p class="alert erreur "> ERREURS !! Pas de modifications : : <br />';
						foreach ($errors as $msg)
						{ // Echo each error.
							echo " - $msg<br />\n";
							echo'</p>';
						}
					 // End of if (empty($errors))section.
					 
					}
					else // si pas d'erreurs on met à jour la Bdd'	
					{
						if ($id=="ajout") //On crée une nouvelle éval
						{
							
							$q = "INSERT INTO evaluation(nomEval, epreuveEval, sessionEval,codeEtab, DateEnr)
							VALUES ('$nomEval','$epreuveEval','$sessionEval','$codeEtab','$DateEnr');";
							
						}
						else
						{
							$q = "UPDATE evaluation SET nomEval='$nomEval', epreuveEval='$epreuveEval', sessionEval='$sessionEval',codeEtab='$codeEtab', DateEnr='$DateEnr' WHERE numEval='$numEval'";
						}
						
						$result = @mysqli_query ($dbcon, $q) or die ('erruer SQLLL : <br/>'.$q);
						if (mysqli_affected_rows($dbcon) == 1) // If it ran OK
						{
							
							echo '<p class="alert succes">Mise à jour effectuée &nbsp;&nbsp;';
							echo'<a class="bouton10 "href="prof_accueil.php?" >OK</a></p>';
							exit;			
							// retour vers Prof
						}			
						else 
						{ 
							echo '<div id="zone_alerte"><p class="alert erreur">Aucune modif réalisée</p></div>'; // Echo a message if the query failed
							// Error message
						}
					}
				}	
				else 
				{
			 		// If no valid ID, stop the script
					echo '<p class="alert echec">Cette page a été chargéee par erreur.</p>';
					exit;
				}
			?>		
				
			<!--Création formulaire-->		
			<form class="centre80" action="<?php echo($_SERVER['PHP_SELF']); ?>" method="post">
				<!-- récup de l'Id et de la date d'enr -->
				<input type="hidden" name="id" value= "<?php echo $id ?>" >
				<input type="hidden" name="numEval" value = " <?php echo $numEval ?>">
				<input type="hidden" name="dateenr" value = " <?php echo $DateEnr ?>">
				<input type="hidden" name="codeEtab" value = " <?php echo $codeEtab ?>">
				
				<p>	
					<label class="label300d" for="Nom">Nom Evaluation </label>
					<input class="fl-left" type="text" name="nomEval" size="30" maxlength="30" value = " <?php echo $nomEval ?>">
				</p>	
				
				<p>	
					<label class="label300d" for="Nom">Epreuve concernée </label>				
					<select name="epreuveEval" >
						<?php
							$selectE42A="";
							$selectE5A="";
							if ($epreuveEval=="E42A")
							{
								$selectE42A="selected";
							}
							elseif ($epreuveEval=="E5A")
							{
								$selectE5A="selected";
							}
							else
							{
								echo "ZRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRR";	
							}
							
							echo '<option '.$selectE42A.' value="E42A" >Epreuve E42A</option>';
							echo '<option '.$selectE5A.' value="E5A" >Epreuve E5A</option>';
						?>	
					</select>
				</p>
				<p>	
					<label class="label300d" for="Nom">Session</label>
					<select name="sessionEval" >
						<?php
							$annee=intval(date('Y'));
							for ($i = $annee ; $i<= $annee+2 ; $i++)
							{
								$select="";
								if ($i==$sessionEval)
								{
									$select=" selected ";
								}
								echo "<option $select value= $i > $i </option>";
							}
						?>
					</select>
		
				</p>	

				<p class=centre40>
					<input id="submit" type="submit" name="submit" value="Mettre à jour">
				</p>
				
				
			</form>
			
			
			
			
		</article>	
		<footer>
			<?php include ('includes/footer.inc'); ?>
		</footer>
	</body>
</html>